CRM Software Installation Problems

CRM Software Support Pages - Problems with Installing Amphis Customer v3.0

Email Customer Support

If you have any problems installing Amphis Customer, please Email Customer Support and we will be happy to help.

Microsoft .Net Framework 4.0

Amphis Customer requires the Microsoft .Net Framework 4.0 to be installed. If you don't have the Microsoft .Net Framework 4.0 installed, you can download it from here and install it.

Microsoft Windows XP

If you are using Windows XP, you may need to install Windows XP Service Pack 3 in order to install the Microsoft .Net Framework 4.0

Font Size and DPI

Our software is designed to work at the default DPI of 96DPI also known as Smaller or 100%. Many PCs and laptops are now sold with the DPI set to a higher level of 125% which will affect how buttons and text appear on the screen. Amphis Customer buttons and text will not fit correctly on forms if the PC DPI is set to 125% but this is easily fixed by changing the DPI back to the Default of 96 DPI. See DPI Settings for how to change this back to the default.

Microsoft Word

In order to generate documents eg Quotes and Invoices, Amphis Customer CRM Software requires Microsoft Word to be installed. Amphis Customer supports Word 2003 and later versions but not the Student and Home editions or the free Starter Editions.